<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlBpmChirpCfg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlBpmChirpCfg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Binary phase modulation common configuration.  
 <a href="structrl_bpm_chirp_cfg__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_sensor.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a7cc2148b595838d5e65b59d10a5c8aee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7cc2148b595838d5e65b59d10a5c8aee"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_bpm_chirp_cfg__t.html#a7cc2148b595838d5e65b59d10a5c8aee">chirpStartIdx</a></td></tr>
<tr class="memdesc:a7cc2148b595838d5e65b59d10a5c8aee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Chirp Start Index, Valid Range 0 -511. <br /></td></tr>
<tr class="separator:a7cc2148b595838d5e65b59d10a5c8aee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d059434c1dbca27980dc73b72804ef0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5d059434c1dbca27980dc73b72804ef0"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_bpm_chirp_cfg__t.html#a5d059434c1dbca27980dc73b72804ef0">chirpEndIdx</a></td></tr>
<tr class="memdesc:a5d059434c1dbca27980dc73b72804ef0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Chirp End Index, Valid Range from chirpStartIdx to 511. <br /></td></tr>
<tr class="separator:a5d059434c1dbca27980dc73b72804ef0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5febce365e625893ba96151cc808d4fc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5febce365e625893ba96151cc808d4fc"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_bpm_chirp_cfg__t.html#a5febce365e625893ba96151cc808d4fc">constBpmVal</a></td></tr>
<tr class="memdesc:a5febce365e625893ba96151cc808d4fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">b0 CONST_BPM_VAL_TX0_TXOFF <br />
 Value of Binary Phase Shift value for TX0, when during idle time <br />
 b1 CONST_BPM_VAL_TX0_TXON <br />
 Value of Binary Phase Shift value for TX0, during chirp <br />
 b2 CONST_BPM_VAL_TX1_TXOFF <br />
 Value of Binary Phase Shift value for TX1, when during idle time <br />
 b3 CONST_BPM_VAL_TX1_TXON <br />
 Value of Binary Phase Shift value for TX1, during chirp <br />
 b4 CONST_BPM_VAL_TX2_TXOFF <br />
 Value of Binary Phase Shift value for TX2, when during idle time <br />
 b5 CONST_BPM_VAL_TX2_TXON <br />
 Value of Binary Phase Shift value for TX2, during chirp <br />
 b15:6 Reserved <br />
<br /></td></tr>
<tr class="separator:a5febce365e625893ba96151cc808d4fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a151acaeaa428922b0de6de1b8d9ab7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7a151acaeaa428922b0de6de1b8d9ab7"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_bpm_chirp_cfg__t.html#a7a151acaeaa428922b0de6de1b8d9ab7">reserved</a></td></tr>
<tr class="memdesc:a7a151acaeaa428922b0de6de1b8d9ab7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future. <br /></td></tr>
<tr class="separator:a7a151acaeaa428922b0de6de1b8d9ab7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Binary phase modulation common configuration. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_sensor.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
